Loading...
Searching...
No Matches
xccdf_check_export Struct Reference
XCCDF

XCCDF check export. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_check_export * | xccdf_check_export_clone (const struct xccdf_check_export *old_export)
OSCAP_API struct xccdf_check_export * | xccdf_check_export_new (void)
OSCAP_API void | xccdf_check_export_free (struct xccdf_check_export *item)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_check_export_get_value (const struct xccdf_check_export *item)
OSCAP_API const char * | xccdf_check_export_get_name (const struct xccdf_check_export *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_check_export_set_name (struct xccdf_check_export *obj, const char *newval)
OSCAP_API bool | xccdf_check_export_set_value (struct xccdf_check_export *obj, const char *newval)

## Data Fields

char * | name
char * | value

## Detailed Description

XCCDF check export.

See also
  xccdf_check

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h